Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 38267 - Should use proper impl deps in xml submodules
Should use proper impl deps in xml submodules
Status: CLOSED FIXED
Product: xml
Classification: Unclassified
Component: Code
3.x
All All
: P2 (vote)
: 3.x
Assigned To: issues@xml
issues@xml
http://www.netbeans.org/download/dev/...
: ARCH
Depends on:
Blocks: 34515
  Show dependency treegraph
 
Reported: 2003-12-22 13:47 UTC by Jesse Glick
Modified: 2004-08-23 14:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Recommended patch (49.12 KB, patch)
2004-01-08 22:42 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-12-22 13:47:22 UTC
Currently the XML submodules communicate using
semistable APIs via impl deps. The implementation
version in dev builds is taken from the build
number. This makes it effectively impossible to
properly publish the ant/grammar (Ant Code
Completion) module on daily alpha AU, since the
impl version will rarely match what is available
from xml/core.

Please use the newly introduced
OpenIDE-Module-Build-Version attribute (see URL)
to hold the actual ${buildnumber}, and for
OpenIDE-Module-Implementation-Version in xml/core
(etc.) use a proper token of your choice: i.e. use
xml/spec-vers.properties for
${xml.implementation.version} and update it as
needed when impl classes might have been changed
incompatibly. (When updating this, you also need
to increment spec versions in all affected
modules, to ensure that dev alpha AU has current
versions of their NBMs.)

Please do this in the trunk, not only in a release
branch (though the release impl version would
probably be different from anything in trunk). It
takes only a few seconds to change the impl
version if any incompatible change might have been
made in the XML submodules such as xml/core, so
this could hardly be a burden. No changes seem to
be happening in this area anyway; I don't remember
having *ever* had to make any changes in the
ant/grammar module to make it work again after a
change in xml/core.
Comment 1 Jesse Glick 2004-01-07 20:13:44 UTC
Status please? I need this for issue #34515. Will submit a patch if
that would get it done more quickly.
Comment 2 Petr Jiricka 2004-01-08 08:42:40 UTC
Sorry, because of the upcoming feature freeze milestone, we haven't
had time to look at this, and will not have time to do it this week
ourselves. A patch would definitely be appreciated.
Comment 3 Jesse Glick 2004-01-08 22:41:45 UTC
OK, here is a patch. At least builds and first start looks OK.
Comment 4 Jesse Glick 2004-01-08 22:42:28 UTC
Created attachment 12799 [details]
Recommended patch
Comment 5 Petr Pisl 2004-01-19 13:10:34 UTC
Thanks for the patch. The patch is now applied. 
Comment 6 dmladek 2004-08-23 14:51:29 UTC
Closing .... patch was applied and Jesse stops complains ;-)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo